From e6c51292c35f79f22714f4488f9e706456a46f66 Mon Sep 17 00:00:00 2001
From: Dominic Hargreaves <dom@earth.li>
Date: Mon, 4 Jan 2021 17:41:13 +0000
Subject: Use Digest::SHA instead of Digest::SHA1

The former is in perl core so doesn't need any additional dependencies;
the latter was removed from Debian in 2011:
https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=594273

Patch-Name: digest_sha.diff
Origin: https://github.com/OpenGuides/Wiki-Toolkit/pull/20
---
 Makefile.PL                     | 2 +-
 lib/Wiki/Toolkit/Store/MySQL.pm | 4 ++--
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/Makefile.PL b/Makefile.PL
index 13a3257..5301b1a 100644
--- a/Makefile.PL
+++ b/Makefile.PL
@@ -219,7 +219,7 @@ WriteMakefile( (MM->can('signature_target') ? (SIGN => 1) : ()),
                PREREQ_PM    => { 'Text::WikiFormat' => '0.78', #earlier's buggy
                                  'HTML::PullParser' => 0,
                                  'Digest::MD5'      => 0,
-                                 'Digest::SHA1'     => 0,
+                                 'Digest::SHA'      => 0,
                                  'Test::More'       => 0,
                                  'Time::Piece'      => 0,
                                  'DBI'              => 0,
diff --git a/lib/Wiki/Toolkit/Store/MySQL.pm b/lib/Wiki/Toolkit/Store/MySQL.pm
index 9806705..8e32eaa 100644
--- a/lib/Wiki/Toolkit/Store/MySQL.pm
+++ b/lib/Wiki/Toolkit/Store/MySQL.pm
@@ -6,10 +6,10 @@ use vars qw( @ISA $VERSION );
 
 use Wiki::Toolkit::Store::Database;
 use Carp qw/carp croak/;
-use Digest::SHA1 qw/ sha1_hex /;
+use Digest::SHA qw/ sha1_hex /;
 
 @ISA = qw( Wiki::Toolkit::Store::Database );
-$VERSION = 0.06;
+$VERSION = 0.07;
 
 =head1 NAME
 
